Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojavax.bio.seq
Interface RichSequenceIterator

All Superinterfaces:
  BioEntryIterator, SequenceIterator

All Known Implementing Classes:
  HashedFastaIterator, RichSequence.IOTools.SingleRichSeqIterator, RichStreamReader

    public interface RichSequenceIterator

extends BioEntryIterator, SequenceIterator

Essentially the same as SequenceIterator. It provides a new method that returns RichSequence objects without the need for explicit casting. Implementations of this interface should always return RichSequence objects for both the nextSequence() and nextRichSequence() methods.

Since:
  1.5
Author:
  Mark Schreiber, Richard Holland
See Also:
  `SequenceIterator`

Method Summary
`RichSequence` | `nextRichSequence()`

Methods inherited from interface org.biojavax.bio.BioEntryIterator
`hasNext, nextBioEntry`

Methods inherited from interface org.biojava.bio.seq.SequenceIterator
`hasNext, nextSequence`

Method Detail

### nextRichSequence

    RichSequence nextRichSequence()
                                  throws NoSuchElementException,
                                         BioException

  Throws:
    `NoSuchElementException`
    `BioException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD